## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLValueFunctionValidateAccordingToURIImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateAccordingToImpl
                      org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateAccordingToURIImpl

All Implemented Interfaces:
  SQLQueryObject, SQLObject, XMLValueFunctionValidateAccordingTo, XMLValueFunctionValidateAccordingToURI

    public class XMLValueFunctionValidateAccordingToURIImpl

extends XMLValueFunctionValidateAccordingToImpl
implements XMLValueFunctionValidateAccordingToURI

An implementation of the model object 'XML Value Function Validate According To URI'.

The following features are implemented:

- `No Namespace`
- `Target Namespace URI`
- `Schema Location URI`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getSchemaLocationURI()`
`java.lang.String` `getTargetNamespaceURI()`
`boolean` `isNoNamespace()`
`void` `setNoNamespace(boolean newNoNamespace)`
`void` `setSchemaLocationURI(java.lang.String newSchemaLocationURI)`
`void` `setTargetNamespaceURI(java.lang.String newTargetNamespaceURI)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLValueFunctionValidateAccordingToImpl
`basicSetValidateElement, basicSetValueFunctionValidate, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, getValidateElement, getValueFunctionValidate, setValidateElement, setValueFunctionValidate`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.xml.query.XMLValueFunctionValidateAccordingTo
`getValidateElement, getValueFunctionValidate, setValidateElement, setValueFunctionValidate`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isNoNamespace

    public boolean isNoNamespace()

  Specified by:
    `isNoNamespace` in interface `XMLValueFunctionValidateAccordingToURI`
  Returns:
    the value of the 'No Namespace' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.setNoNamespace(boolean)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_NoNamespace()`

### setNoNamespace

    public void setNoNamespace(boolean newNoNamespace)

  Specified by:
    `setNoNamespace` in interface `XMLValueFunctionValidateAccordingToURI`
  Parameters:
    `newNoNamespace` - the new value of the 'No Namespace' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.isNoNamespace()`

### getTargetNamespaceURI

    public java.lang.String getTargetNamespaceURI()

  Specified by:
    `getTargetNamespaceURI` in interface `XMLValueFunctionValidateAccordingToURI`
  Returns:
    the value of the 'Target Namespace URI' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.setTargetNamespaceURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_TargetNamespaceURI()`

### setTargetNamespaceURI

    public void setTargetNamespaceURI(java.lang.String newTargetNamespaceURI)

  Specified by:
    `setTargetNamespaceURI` in interface `XMLValueFunctionValidateAccordingToURI`
  Parameters:
    `newTargetNamespaceURI` - the new value of the 'Target Namespace URI' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.getTargetNamespaceURI()`

### getSchemaLocationURI

    public java.lang.String getSchemaLocationURI()

  Specified by:
    `getSchemaLocationURI` in interface `XMLValueFunctionValidateAccordingToURI`
  Returns:
    the value of the 'Schema Location URI' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.setSchemaLocationURI(String)`, `SQLXMLQueryModelPackage.getXMLValueFunctionValidateAccordingToURI_SchemaLocationURI()`

### setSchemaLocationURI

    public void setSchemaLocationURI(java.lang.String newSchemaLocationURI)

  Specified by:
    `setSchemaLocationURI` in interface `XMLValueFunctionValidateAccordingToURI`
  Parameters:
    `newSchemaLocationURI` - the new value of the 'Schema Location URI' attribute.
  See Also:
    `XMLValueFunctionValidateAccordingToURI.getSchemaLocationURI()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `XMLValueFunctionValidateAccordingToImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `XMLValueFunctionValidateAccordingToImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `XMLValueFunctionValidateAccordingToImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `XMLValueFunctionValidateAccordingToImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.